package com.bassbooster.soundeffects.equalizer.database

import androidx.lifecycle.LiveData
import com.bassbooster.soundeffects.equalizer.database.EffectsData
import com.bassbooster.soundeffects.equalizer.database.dao.EffectsDao

class EffectsRepository(private val effectsDAO: EffectsDao) {

    fun getAllData(): LiveData<List<EffectsData>> {
        return effectsDAO.getAll()
    }

    suspend fun insert(myEntity: EffectsData) {
        effectsDAO.insert(myEntity)
    }

    suspend fun delete(myEntity: EffectsData) {
        effectsDAO.delete(myEntity)
    }

}